package com.bjzc.zjdxj.DBModel;

import android.os.Parcel;
import android.os.Parcelable;

import org.litepal.crud.DataSupport;

/**
 * Created by huangwenfei on 2021/12/09.
 */

public class Dqgz extends DataSupport implements Parcelable {
    private int id;
    private String RWID;
    private String RWZT;
    private String RWZTMC;
    private String RWLX;
    private String RWLXMC;
    private String RWRQ;
    private String RWBC;
    private String ZXBZ;
    private String ZX_ZY;
    private String ZX_ZYMC;
    private String ZX_JZ;
    private String ZX_JZMC;
    private String ZX_QYID;
    private String ZX_QYMC;
    private String ZX_MC;
    private String ZX_NR;
    private String ZX_LRFS;
    private String ZX_LRNR;
    private String ZX_CBLX;
    private String MKBS;
    private String username;
    private String SCNR;
    private String SCBZ;
    private boolean checked;//0:未选中,1:已选中
    private int download;//0:未下载,1:已经下载
    private boolean isWorkChecked;//已检/未检
    private String DATE;//保存时间

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getRWID() {
        return RWID;
    }

    public void setRWID(String RWID) {
        this.RWID = RWID;
    }

    public String getRWZT() {
        return RWZT;
    }

    public void setRWZT(String RWZT) {
        this.RWZT = RWZT;
    }

    public String getRWZTMC() {
        return RWZTMC;
    }

    public void setRWZTMC(String RWZTMC) {
        this.RWZTMC = RWZTMC;
    }

    public String getRWLX() {
        return RWLX;
    }

    public void setRWLX(String RWLX) {
        this.RWLX = RWLX;
    }

    public String getRWLXMC() {
        return RWLXMC;
    }

    public void setRWLXMC(String RWLXMC) {
        this.RWLXMC = RWLXMC;
    }

    public String getRWRQ() {
        return RWRQ;
    }

    public void setRWRQ(String RWRQ) {
        this.RWRQ = RWRQ;
    }

    public String getRWBC() {
        return RWBC;
    }

    public void setRWBC(String RWBC) {
        this.RWBC = RWBC;
    }

    public String getZXBZ() {
        return ZXBZ;
    }

    public void setZXBZ(String ZXBZ) {
        this.ZXBZ = ZXBZ;
    }

    public String getZX_ZY() {
        return ZX_ZY;
    }

    public void setZX_ZY(String ZX_ZY) {
        this.ZX_ZY = ZX_ZY;
    }

    public String getZX_ZYMC() {
        return ZX_ZYMC;
    }

    public void setZX_ZYMC(String ZX_ZYMC) {
        this.ZX_ZYMC = ZX_ZYMC;
    }

    public String getZX_JZ() {
        return ZX_JZ;
    }

    public void setZX_JZ(String ZX_JZ) {
        this.ZX_JZ = ZX_JZ;
    }

    public String getZX_JZMC() {
        return ZX_JZMC;
    }

    public void setZX_JZMC(String ZX_JZMC) {
        this.ZX_JZMC = ZX_JZMC;
    }

    public String getZX_QYID() {
        return ZX_QYID;
    }

    public void setZX_QYID(String ZX_QYID) {
        this.ZX_QYID = ZX_QYID;
    }

    public String getZX_QYMC() {
        return ZX_QYMC;
    }

    public void setZX_QYMC(String ZX_QYMC) {
        this.ZX_QYMC = ZX_QYMC;
    }

    public String getZX_MC() {
        return ZX_MC;
    }

    public void setZX_MC(String ZX_MC) {
        this.ZX_MC = ZX_MC;
    }

    public String getZX_NR() {
        return ZX_NR;
    }

    public void setZX_NR(String ZX_NR) {
        this.ZX_NR = ZX_NR;
    }

    public String getZX_LRFS() {
        return ZX_LRFS;
    }

    public void setZX_LRFS(String ZX_LRFS) {
        this.ZX_LRFS = ZX_LRFS;
    }

    public String getZX_LRNR() {
        return ZX_LRNR;
    }

    public void setZX_LRNR(String ZX_LRNR) {
        this.ZX_LRNR = ZX_LRNR;
    }

    public String getZX_CBLX() {
        return ZX_CBLX;
    }

    public void setZX_CBLX(String ZX_CBLX) {
        this.ZX_CBLX = ZX_CBLX;
    }

    public String getMKBS() {
        return MKBS;
    }

    public void setMKBS(String MKBS) {
        this.MKBS = MKBS;
    }

    public boolean isChecked() {
        return checked;
    }

    public void setChecked(boolean checked) {
        this.checked = checked;
    }

    public int getDownload() {
        return download;
    }

    public void setDownload(int download) {
        this.download = download;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public boolean isWorkChecked() {
        return isWorkChecked;
    }

    public void setWorkChecked(boolean workChecked) {
        isWorkChecked = workChecked;
    }

    public String getSCNR() {
        return SCNR;
    }

    public void setSCNR(String SCNR) {
        this.SCNR = SCNR;
    }

    public String getSCBZ() {
        return SCBZ;
    }

    public void setSCBZ(String SCBZ) {
        this.SCBZ = SCBZ;
    }

    public String getDATE() {
        return DATE;
    }

    public void setDATE(String DATE) {
        this.DATE = DATE;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(this.id);
        dest.writeString(this.RWID);
        dest.writeString(this.RWZT);
        dest.writeString(this.RWZTMC);
        dest.writeString(this.RWLX);
        dest.writeString(this.RWLXMC);
        dest.writeString(this.RWRQ);
        dest.writeString(this.RWBC);
        dest.writeString(this.ZXBZ);
        dest.writeString(this.ZX_ZY);
        dest.writeString(this.ZX_ZYMC);
        dest.writeString(this.ZX_JZ);
        dest.writeString(this.ZX_JZMC);
        dest.writeString(this.ZX_QYID);
        dest.writeString(this.ZX_QYMC);
        dest.writeString(this.ZX_MC);
        dest.writeString(this.ZX_NR);
        dest.writeString(this.ZX_LRFS);
        dest.writeString(this.ZX_LRNR);
        dest.writeString(this.ZX_CBLX);
        dest.writeString(this.MKBS);
        dest.writeString(this.username);
        dest.writeString(this.SCNR);
        dest.writeString(this.SCBZ);
        dest.writeByte(this.checked ? (byte) 1 : (byte) 0);
        dest.writeInt(this.download);
        dest.writeByte(this.isWorkChecked ? (byte) 1 : (byte) 0);
        dest.writeString(this.DATE);
    }

    public  Dqgz(){
    }
    protected Dqgz(Parcel in) {
        this.id = in.readInt();
        this.RWID = in.readString();
        this.RWZT = in.readString();
        this.RWZTMC = in.readString();
        this.RWLX = in.readString();
        this.RWLXMC = in.readString();
        this.RWRQ = in.readString();
        this.RWBC = in.readString();
        this.ZXBZ = in.readString();
        this.ZX_ZY = in.readString();
        this.ZX_ZYMC = in.readString();
        this.ZX_JZ = in.readString();
        this.ZX_JZMC = in.readString();
        this.ZX_QYID = in.readString();
        this.ZX_QYMC = in.readString();
        this.ZX_MC = in.readString();
        this.ZX_NR = in.readString();
        this.ZX_LRFS = in.readString();
        this.ZX_LRNR = in.readString();
        this.ZX_CBLX = in.readString();
        this.MKBS = in.readString();
        this.username = in.readString();
        this.SCNR = in.readString();
        this.SCBZ = in.readString();
        this.download = in.readInt();
        this.checked = in.readByte() != 0;
        this.isWorkChecked = in.readByte() != 0;
        this.DATE = in.readString();
    }
    public static final Creator<Dqgz> CREATOR = new Creator<Dqgz>() {
        @Override
        public Dqgz createFromParcel(Parcel source) {
            return new Dqgz(source);
        }

        @Override
        public Dqgz[] newArray(int size) {
            return new Dqgz[size];
        }
    };
}
